Payment Match Score

GET
/payments/{paymentId}/name-match-score

This endpoint will allow accurately matches naming nuances between merchant inputs and end-user bank records

Authorization

oauth
headerAuthorizationBearer <token>

OAuth2 password grant - see the documentation in the oAuth2 Authentication section

Path Parameters

paymentId*string

UUID of the payment

Query Parameters

allow_initials?boolean

default: true - if set to false, receiving an account holder name that contains an initial instead of a first name will significantly impact the match score.

Response Body

OK

application/json
  1. response
invocationId?string
Formatuuid
nameMatchScore?number
Formatfloat
Example Request
curl -X GET 'https://api.sandbox.volt.io/payments/string/name-match-score'
Example Response
{  "invocationId": "e9725468-0858-4dbb-af72-1e49c8254d68",  "nameMatchScore": 0.1}